FLANG

Static Public Member Functions | List of all members
Fortran::evaluate::CharacterUtils< KIND > Class Template Reference

## Static Public Member Functions
static Character | CHAR (std::uint64_t code)
static std::int64_t | ICHAR (const Character &c)
static Character | NEW_LINE ()
static Character | ADJUSTL (const Character &str)
static Character | ADJUSTR (const Character &str)
static ConstantSubscript | INDEX (const Character &str, const Character &substr, bool back=false)
static ConstantSubscript | SCAN (const Character &str, const Character &set, bool back=false)
static ConstantSubscript | VERIFY (const Character &str, const Character &set, bool back=false)
static Character | Resize (const Character &str, std::size_t newLength)
static ConstantSubscript | LEN_TRIM (const Character &str)
static Character | REPEAT (const Character &str, ConstantSubscript ncopies)
static Character | TRIM (const Character &str)

The documentation for this class was generated from the following file:

- lib/Evaluate/character.h